org.apache.ignite.internal.processors.rest.handlers

## Class GridRestCommandHandlerAdapter

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.handlers.GridRestCommandHandlerAdapter

All Implemented Interfaces:
  GridRestCommandHandler

Direct Known Subclasses:
  DataStructuresCommandHandler, GridCacheCommandHandler, GridLogCommandHandler, GridTaskCommandHandler, GridTopologyCommandHandler, GridVersionCommandHandler, QueryCommandHandler

    public abstract class GridRestCommandHandlerAdapter
    extends Object
    implements GridRestCommandHandler

Abstract command handler.

### Field Summary

Fields
`protected GridKernalContext` `ctx` Kernal context.
`protected IgniteLogger` `log` Log.

### Constructor Summary

Constructors
`protected` `GridRestCommandHandlerAdapter(GridKernalContext ctx)`

### Method Summary

Methods
`protected static String` `missingParameter(String param)` Return missing parameter error message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.rest.handlers.GridRestCommandHandler

`handleAsync, supportedCommands`

### Field Detail

#### ctx

    protected final GridKernalContext ctx

Kernal context.

#### log

    protected final IgniteLogger log

Log.

### Constructor Detail

#### GridRestCommandHandlerAdapter

    protected GridRestCommandHandlerAdapter(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### missingParameter

    protected static String missingParameter(String param)

Return missing parameter error message.

Parameters:
  `param` - Parameter name.
Returns:
  Missing parameter error message.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016